<a name="menu">目录</a>

1. [字典](#dics) 

1. [查看商户抬头信息详情](#queryInvoiceTitleAndAddr)

1. [商户抬头信息列表](#merchantTitleAddrPage)

1. [更新或保存抬头地址信息](#updateOrSaveTitleAndAddr)
 


## **<a name="dics"> 字典</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/dics]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {}
```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": 110361382269,         // 商户id
            "name": "司机宝"             // 商户名称
            "short_name": "去测1"        // 简称
        },
    ]
}
```


## **<a name="queryInvoiceTitleAndAddr"> 查看商户抬头信息详情</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/queryInvoiceTitleAndAddr]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id":"11247613247000394"
    }	

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "操作成功",
    "data": {
        "saas_merchant_title": [
            {
                "id": "1311886627000462",
                "saas_merchant_id": "11247613247000394",
                "merchant_name": "舟山兰和有限公司",
                "merchant_credit_code": "KHSDLKFJAFJ",
                "merchant_tax_type": "00",
                "merchant_addr": "河南信阳",
                "merchant_mobile": "18833836395",
                "merchant_bank": "北京银行栓秀支行",
                "merchant_account": "zhousanlanhe",
                "created_at": "2020-04-08T01:44:51.000Z",
                "updated_at": "2020-04-08T01:49:05.000Z",
                "deleted_at": null,
                "version": 0
            }
        ],
        "saas_merchant_addr": [
            {
                "id": "12653007180000140",
                "saas_merchant_id": "11247613247000394",
                "mail_addr": "北京朝阳区国创元",
                "mail_mobile": "010-4525821-44",
                "mail_to": "张娇",
                "created_at": "2020-04-08T01:44:51.000Z",
                "updated_at": "2020-04-08T01:49:05.000Z",
                "deleted_at": null,
                "version": 0
            }
        ]
    },
    "bizmsg": "empty",
    "requestid": "8aa4673f14714bf7adacd04487075e9e"
}


```


## **<a name="merchantTitleAddrPage"> 商户抬头信息列表</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/merchantTitleAddrPage]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage":1,
    	"pageSize":10,
    	"merchant_name":"舟山兰和有限公司"       //选填  商户名称
    }	

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 1,
        "rows": [
            {
                "id": "1311886627000462",
                "saas_merchant_id": "11247613247000394",
                "merchant_name": "舟山兰和有限公司",
                "merchant_credit_code": "KHSDLKFJAFJ",
                "merchant_tax_type": "00",
                "merchant_addr": "河南信阳",
                "merchant_mobile": "18833836395",
                "merchant_bank": "北京银行栓秀支行",
                "merchant_account": "zhousanlanhe",
                "created_at": "2020-04-08 01:44:51",
                "updated_at": "2020-04-08T01:49:05.000Z",
                "deleted_at": null,
                "version": 0
            }
        ]
    },
    "requestid": "b8265578defd4d9983c1fcf5088e3bc2"
}


```

## **<a name="updateOrSaveTitleAndAddr"> 更新或保存抬头地址信息</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/updateOrSaveTitleAndAddr]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id":"11247613247000394",                  
    	"merchant_name":"舟山兰和有限公司",          //商户名称
    	"merchant_credit_code":"KHSDLKFJAFJ",      // 统一社会信用代码
    	"merchant_tax_type":"00",                  //纳税人类型
    	"merchant_addr":"河南信阳",                 //地址
    	"merchant_mobile":"18833836395",           //电话
    	"merchant_bank":"北京银行栓秀支行",         //银行
    	"merchant_account":"zhousanlanhe",         //账户
    	"mail_addr":"北京朝阳区国创元",             //邮寄地址
    	"mail_mobile":"010-4525821-44",           //邮寄电话
    	"mail_to":"张娇"                          //邮寄人
    }	

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 1,
        "rows": [
            {
                "id": "1311886627000462",
                "saas_merchant_id": "11247613247000394",
                "merchant_name": "舟山兰和有限公司",
                "merchant_credit_code": "KHSDLKFJAFJ",
                "merchant_tax_type": "00",
                "merchant_addr": "河南信阳",
                "merchant_mobile": "18833836395",
                "merchant_bank": "北京银行栓秀支行",
                "merchant_account": "zhousanlanhe",
                "created_at": "2020-04-08 01:44:51",
                "updated_at": "2020-04-08T01:49:05.000Z",
                "deleted_at": null,
                "version": 0
            }
        ]
    },
    "requestid": "b8265578defd4d9983c1fcf5088e3bc2"
}


```
